#! /bin/sh

# Run this program to show the build configuration.  The configure
# script will run this program at the end.

# $Progeny$

# This program is in the public domain.

indent=25

build=@build@
host=@host@
target=@target@

# Build paths
builddir=@builddir@
abs_builddir=@abs_builddir@
top_builddir=@top_builddir@
abs_top_builddir=@abs_top_builddir@
srcdir=@srcdir@
abs_srcdir=@abs_srcdir@
top_srcdir=@top_srcdir@
abs_top_srcdir=@abs_top_srcdir@

# Install paths
prefix=@prefix@
exec_prefix=@exec_prefix@
bindir=@bindir@
sbindir=@sbindir@
libexecdir=@libexecdir@
datadir=@datadir@
sysconfdir=@sysconfdir@
sharedstatedir=@sharedstatedir@
localstatedir=@localstatedir@
libdir=@libdir@
includedir=@includedir@
infodir=@infodir@
mandir=@mandir@

default_exec_prefix=${prefix}
default_bindir=${exec_prefix}/bin
default_sbindir=${exec_prefix}/sbin
default_libexecdir=${exec_prefix}/libexec
default_datadir=${prefix}/share
default_sysconfdir=${prefix}/etc
default_sharedstatedir=${prefix}/com
default_localstatedir=${prefix}/var
default_libdir=${exec_prefix}/lib
default_includedir=${prefix}/include
default_infodir=${prefix}/info
default_mandir=${prefix}/man

@PROGENY_SHOW_CONFIG_VARS@
@PROGENY_SHOW_CONFIG_SET@

PACKAGE_STRING='@PACKAGE_STRING@'
echo ${PACKAGE_STRING} configuration

for var in build host target; do
    eval val=\$${var}
    printf "%${indent}s %s\n" ${var} ${val}
done

printf "%${indent}s %s\n" 'prefix' ${prefix}

for var in exec_prefix bindir \
           sbindir \
           libexecdir \
           datadir \
           sysconfdir \
           sharedstatedir \
           localstatedir \
           libdir \
           includedir \
           infodir \
           mandir; do
  eval val=\$${var}
  eval default_val=\$default_${var}
  if [ ${default_val} != ${val} ]; then
      printf "%${indent}s %s\n" ${var} ${val}
  fi
done

for var in ${VARS}; do
    eval val="\$${var}"
    printf "%${indent}s %s\n" ${var} "${val}"
done

exit 0
